Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.format.parser.html
Class Analyzer

    java.lang.Object
      org.jboss.portal.format.parser.html.Analyzer

    public class Analyzer

extends java.lang.Object

This class is a scanner generated by JFlex 1.4.1 on 7/22/08 6:48 AM from the specification file `/tmp/JBoss_Portal_2_6_6/format/src/main/org/jboss/portal/format/parser/html/Analyzer.flex`

Field Summary
`static int` | `CDATA`
`static int` | `EMPTY`
`static int` | `ETAG`
`static int` | `STAG`
`static int` | `YYEOF` This character denotes the end of file
`static int` | `YYINITIAL` lexical states

Constructor Summary
`Analyzer(java.io.InputStream in)` Creates a new scanner.
`Analyzer(java.io.Reader in)` Creates a new scanner There is also a java.io.InputStream version of this constructor.

Method Summary
`Token` | `next()`
`void` | `reset(char[] chars, int off, int len)`
`void` | `yybegin(int newState)` Enters a new lexical state
`char` | `yycharat(int pos)` Returns the character at position `pos` from the matched text.
`void` | `yyclose()` Closes the input stream.
`int` | `yylength()` Returns the length of the matched text region.
`Token` | `yylex()` Resumes scanning until the next regular expression is matched, the end of input is encountered or an I/O-Error occurs.
`void` | `yypushback(int number)` Pushes the specified amount of characters back into the input stream.
`void` | `yyreset(java.io.Reader reader)` Resets the scanner to read from a new input stream.
`int` | `yystate()` Returns the current lexical state.
`java.lang.String` | `yytext()` Returns the text matched by the current regular expression.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### YYEOF

    public static final int YYEOF

  This character denotes the end of file

  See Also:
    Constant Field Values

### YYINITIAL

    public static final int YYINITIAL

  lexical states

  See Also:
    Constant Field Values

### STAG

    public static final int STAG

See Also:
  Constant Field Values

### ETAG

    public static final int ETAG

See Also:
  Constant Field Values

### EMPTY

    public static final int EMPTY

See Also:
  Constant Field Values

### CDATA

    public static final int CDATA

See Also:
  Constant Field Values

Constructor Detail

### Analyzer

    public Analyzer(java.io.Reader in)

  Creates a new scanner There is also a java.io.InputStream version of this constructor.

  Parameters:
    `in` - the java.io.Reader to read input from.

### Analyzer

    public Analyzer(java.io.InputStream in)

  Creates a new scanner. There is also java.io.Reader version of this constructor.

  Parameters:
    `in` - the java.io.Inputstream to read input from.

Method Detail

### reset

    public void reset(char[] chars,
                      int off,
                      int len)

### next

    public Token next()

### yyclose

    public final void yyclose()
                       throws java.io.IOException

  Closes the input stream.

  Throws:
    `java.io.IOException`

### yyreset

    public final void yyreset(java.io.Reader reader)

  Resets the scanner to read from a new input stream. Does not close the old reader. All internal variables are reset, the old input stream cannot be reused (internal buffer is discarded and lost). Lexical state is set to `ZZ_INITIAL`.

  Parameters:
    `reader` - the new input stream

### yystate

    public final int yystate()

  Returns the current lexical state.

### yybegin

    public final void yybegin(int newState)

  Enters a new lexical state

  Parameters:
    `newState` - the new lexical state

### yytext

    public final java.lang.String yytext()

  Returns the text matched by the current regular expression.

### yycharat

    public final char yycharat(int pos)

  Returns the character at position `pos` from the matched text. It is equivalent to yytext().charAt(pos), but faster

  Parameters:
    `pos` - the position of the character to fetch. A value from 0 to yylength()-1.
  Returns:
    the character at position pos

### yylength

    public final int yylength()

  Returns the length of the matched text region.

### yypushback

    public void yypushback(int number)

  Pushes the specified amount of characters back into the input stream. They will be read again by then next call of the scanning method

  Parameters:
    `number` - the number of characters to be read again. This number must not be greater than yylength()!

### yylex

    public Token yylex()
                throws java.io.IOException

  Resumes scanning until the next regular expression is matched, the end of input is encountered or an I/O-Error occurs.

  Returns:
    the next token
  Throws:
    `java.io.IOException` - if any I/O-Error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD